package com.qmth.qrzk.repository.pager.model;

import java.util.Date;

import com.qmth.qrzk.repository.user.model.Question;
import com.qmth.qrzk.repository.utils.Consts;

public class PaperDifficultyEstimateDetail {
	private Integer id;             //id
	private Integer pagerConstructId;//试卷ID
    private Integer questionId;        //小题ID
    private String questionType;        //题型名称
	private Question question;			//对应的试题对象
    private Integer sortNo;//序号，题号
    private Double questionScore;//题目分数
    private int estimateDifficulty;//预计难度
    private Double estimateDifficultyValue;//预计难度值
    private Date createdTime;  //创建日期
    private Integer createdBy;                      //创建人
    private Date updatedTime;					//最近更新时间
    private Integer updatedBy;						//最近更新人
	private String guid;
	
	public String getGuid() {
		return guid;
	}
	public void setGuid(String guid) {
		this.guid = guid;
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public Integer getQuestionId() {
		return questionId;
	}
	public void setQuestionId(Integer questionId) {
		this.questionId = questionId;
	}
    public String getQuestionType() {
		return questionType;
	}
	public void setQuestionType(String questionType) {
		this.questionType = questionType;
	}
	public Question getQuestion() {
		return question;
	}
	public void setQuestion(Question question) {
		this.question = question;
	}
	public Integer getPagerConstructId() {
		return pagerConstructId;
	}
	public void setPagerConstructId(Integer pagerConstructId) {
		this.pagerConstructId = pagerConstructId;
	}
	public Integer getSortNo() {
		return sortNo;
	}
	public void setSortNo(Integer sortNo) {
		this.sortNo = sortNo;
	}
	public Double getQuestionScore() {
		return questionScore;
	}
	public void setQuestionScore(Double questionScore) {
		this.questionScore = questionScore;
	}
	public Double getEstimateDifficultyValue() {
		return estimateDifficultyValue;
	}
	public void setEstimateDifficultyValue(Double estimateDifficultyValue) {
		this.estimateDifficultyValue = estimateDifficultyValue;
	}
	public int getEstimateDifficulty() {
		return estimateDifficulty;
	}
	public void setEstimateDifficulty(int estimateDifficulty) {
		this.estimateDifficulty = estimateDifficulty;
	}
	public Date getCreatedTime() {
		return createdTime;
	}
	public void setCreatedTime(Date createdTime) {
		this.createdTime = createdTime;
	}
	public Integer getCreatedBy() {
		return createdBy;
	}
	public void setCreatedBy(Integer createdBy) {
		this.createdBy = createdBy;
	}
	public Date getUpdatedTime() {
		return updatedTime;
	}
	public void setUpdatedTime(Date updatedTime) {
		this.updatedTime = updatedTime;
	}
	public Integer getUpdatedBy() {
		return updatedBy;
	}
	public void setUpdatedBy(Integer updatedBy) {
		this.updatedBy = updatedBy;
	}
	
    public String getEstimateDifficultyName(){
    	return Consts.EstimateDifficulty.dicMap.get(this.estimateDifficulty);
    }
    
    public void setEstimateDifficultyName(String s){
    	
    }
}
